//--------LICENSE_START--------
//
// Copyright (C) 2020,2021,2022 Institut de Robòtica i Informàtica Industrial, CSIC-UPC.
// Authors: Joan Solà Ortega (jsola@iri.upc.edu)
// All rights reserved.
//
// This file is part of WOLF
// WOLF is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
//--------LICENSE_END--------
/*
 * gtest_processor_force_torque_inertial.cpp
 *
 *  Created on: Aug 19, 2021
 *      Author: jsola
 */

#include "bodydynamics/processor/processor_force_torque_inertial.h"

#include "core/utils/utils_gtest.h"
#include "core/utils/logging.h"

using namespace wolf;

/*
 // You may use this to make some methods of Foo public
 WOLF_PTR_TYPEDEFS(FooPublic);
 class FooPublic : public Foo
 {
 // You may use this to make some methods of Foo public
 }

 class TestInit : public testing::Test
 {
 public:
 // You may use this to initialize stuff
 // Combine it with TEST_F(FooTest, testName) { }
 void SetUp() override
 {
 // Init all you want here
 // e.g. FooPublic foo;
 }
 void TearDown() override {} // you can delete this if unused
 };

 TEST_F(TestInit, testName)
 {
 // Use class TestInit
 }
 */

TEST(TestGroup, testName)
{
    // individual tests
}

int main (int argc, char** argv)
{
    testing::InitGoogleTest(&argc, argv);

    // restrict to a group of tests only
    //::testing::GTEST_FLAG(filter) = "TestInit.*";

    // restrict to this test only
    //::testing::GTEST_FLAG(filter) = "TestInit.testName";

    return RUN_ALL_TESTS();
}
